function save_archive(packfile)
	save_pack(packfile)
	close_pack()
end

function add_file_to_archive(packfile, folderName, fileName)

    local curr_file_path = "archive_input/" .. folderName .. "/" .. fileName
    local pack_file_path = folderName .. "/" .. fileName


    add_to_pack(curr_file_path, pack_file_path)

end

print("--- RPF Builder (Orbis) ---")
set_platform("orbis")
start_uncompressed_pack()
local archive_file = "Archive.rpf"
add_file_to_archive(archive_file, "", "content.xml");
add_file_to_archive(archive_file, "common/data", "handling.meta");
save_archive(archive_file)
print("RPF file successfully created.")